/**
 * CSS Stuff for Drivers and Teams (colors, logos, photos, etc)
 */

/* Team Colors 2026 (see colors.css) */
.bg-color-alpine {
  background-color: var(--team-color-alpine);
  color: #000;
}
.bg-color-aston-martin {
  background-color: var(--team-color-aston-martin);
  color: #000;
}
.bg-color-audi {
  background-color: var(--team-color-audi);
  color: #000;
}
.bg-color-cadillac {
  background-color: var(--team-color-cadillac);
  color: #FFF;
}
.bg-color-ferrari {
  background-color: var(--team-color-ferrari);
  color: #FFF;
}
.bg-color-haas {
  background-color: var(--team-color-haas);
  color: #000;
}
.bg-color-mclaren {
  background-color: var(--team-color-mclaren);
  color: #000;
}
.bg-color-mercedes {
  background-color: var(--team-color-mercedes);
  color: #000;
}
.bg-color-racing-bulls {
  background-color: var(--team-color-racing-bulls);
  color: #000;
}
.bg-color-red-bull {
  background-color: var(--team-color-red-bull);
  color: #FFF;
}
.bg-color-williams {
  background-color: var(--team-color-williams);
  color: #000;
}

.prediction-card {
  position: relative;
  background-color: #F1F1F1;
}

.prediction-card::before {
  content: '';
  position: absolute;
  inset: 0;
  background-repeat: no-repeat;
  background-position: top left;
  background-size: 100%;
  opacity: 0.9;       /* tweak this value — only affects the background image */
  pointer-events: none;
  z-index: 0;
  margin-top: 10%;
}

.prediction-card > * {
  position: relative;
  z-index: 1;         /* keeps child content above the pseudo-element */
}

.prediction-card.driver-lec::before {
  background-image: url('/img/drivers/numbers/2026ferrarichalec01numberwhite.avif');
}
.prediction-card.driver-sai::before {
  background-image: url('/img/drivers/numbers/2026williamscarsai01numberwhite.avif');
}
.prediction-card.driver-rus::before {
  background-image: url('/img/drivers/numbers/2026mercedesgeorus01numberwhite.avif');
}
.prediction-card.driver-ant::before {
  background-image: url('/img/drivers/numbers/2026mercedesandant01numberwhite.avif');
}
.prediction-card.driver-col::before {
  background-image: url('/img/drivers/numbers/2026alpinefracol01numberwhite.avif');
}
.prediction-card.driver-gas::before {
  background-image: url('/img/drivers/numbers/2026alpinepiegas01numberwhite.avif');
}
.prediction-card.driver-alo::before {
  background-image: url('/img/drivers/numbers/2026astonmartinferalo01numberwhite.avif');
}
.prediction-card.driver-str::before {
  background-image: url('/img/drivers/numbers/2026astonmartinlanstr01numberwhite.avif');
}
.prediction-card.driver-bor::before {
  background-image: url('/img/drivers/numbers/2026audigabbor01numberwhite.avif');
}
.prediction-card.driver-hul::before {
  background-image: url('/img/drivers/numbers/2026audinichul01numberwhite.avif');
}
.prediction-card.driver-per::before {
  background-image: url('/img/drivers/numbers/2026cadillacserper01numberwhite.avif');
}
.prediction-card.driver-bot::before {
  background-image: url('/img/drivers/numbers/2026cadillacvalbot01numberwhite.avif');
}
.prediction-card.driver-ham::before {
  background-image: url('/img/drivers/numbers/2026ferrarilewham01numberwhite.avif');
}
.prediction-card.driver-oco::before {
  background-image: url('/img/drivers/numbers/2026haasf1teamestoco01numberwhite.avif');
}
.prediction-card.driver-bea::before {
  background-image: url('/img/drivers/numbers/2026haasf1teamolibea01numberwhite.avif');
}
.prediction-card.driver-nor::before {
  background-image: url('/img/drivers/numbers/2026mclarenlannor01numberwhite.avif');
  background-size: 40%;
  margin-left: 30%;
}
.prediction-card.driver-pia::before {
  background-image: url('/img/drivers/numbers/2026mclarenoscpia01numberwhite.avif');
}
.prediction-card.driver-lin::before {
  background-image: url('/img/drivers/numbers/2026racingbullsarvlin01numberwhite.avif');
}
.prediction-card.driver-law::before {
  background-image: url('/img/drivers/numbers/2026racingbullslialaw01numberwhite.avif');
}
.prediction-card.driver-had::before {
  background-image: url('/img/drivers/numbers/2026redbullracingisahad01numberwhite.avif');
}
.prediction-card.driver-ver::before {
  background-image: url('/img/drivers/numbers/2026redbullracingmaxver01numberwhite.avif');
}
.prediction-card.driver-alb::before {
  background-image: url('/img/drivers/numbers/2026williamsalealb01numberwhite.avif');
}

.rounded-circle {
  width:40px;
  height:40px;
  background-size:140%;
  background-position:70% -10%;
  border-radius: 50%;       /* makes it a circle */
  object-fit: cover;        /* fill the circle without distortion */
  display: block;
}
